
Infrastructure - Task #1946

Story # 1906 (Closed): Review, revise, and update architecture documentation

Suggestion for removing boolean return type that can only return "true".

2011-10-27 02:30 - Roger Dahl

Status: Rejected Start date: 2011-10-27

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

In a few APIs we return a Boolean type that can only be true. It has no definition for false. So it's not really a boolean. How about we

change this to a type called "success"? The new type would not be a true/false type. It would be a type that, when instantiated,

contains no user data. It would be represented with a 200 OK and be returned only upon successful completion of the call. And, as

now, failures would be returned as exceptions.

History

#1 - 2011-10-31 02:03 - Dave Vieglais

- Status changed from New to Rejected

Boolean responses are indicated by a 200 status response for success, and an exception for failure.

#2 - 2014-10-02 17:21 - Dave Vieglais

- Target version set to Maintenance Backlog
